Subject: Re: bug#38446: Guix pull broken

From: Clément Lassieur <[email-masked]>
Date: Tue, 03 Dec 2019 00:15:36 +0100

Hi Amin,

Thank you for this nice reply.

Would it be possible to have an *official* backup Git repository hosted
somewhere else (like Github, or whatever), where we could redirect users
when they encounter issues?

Clément

Amin Bandali <[email-masked]> writes:

> Hi folks,
>
> The reason for these errors is that various parts of GNU Savannah have
> been under a sizable botnet attack for a few days now.  Savannah hackers
> and FSF sysadmins have been working on it mitigating the attack, but it
> is an ongoing effort.
>
> In the mean time, I suggest using "member checkouts" (i.e. ssh) for
> accessing the repositories.  You need to a Savannah account for this,
> but to my knowledge you don't have to be a member of that project to
> just pull from its repositories using ssh.  Another option would be
> using the git:// protocol, which I recommend against, as it's insecure
> and prone to MITM attacks.
>
> See
>     https://savannah.gnu.org/git/?group=guix
> and
>     https://savannah.gnu.org/maintenance/UsingGit/
> for more details.
>
> Hope this helps.